searchNodes=[{"doc":"Publish-Subscribe utility process. Use start_link/0 to start it:PubSub.start_link()","ref":"PubSub.html","title":"PubSub","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"PubSub.html#child_spec/1","title":"PubSub.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"PubSub.html#init/1","title":"PubSub.init/1","type":"function"},{"doc":"Delivers a message to the given topic.Exampleiex&gt; PubSub.publish(:my_topic, &quot;Hi there!&quot;) :ok","ref":"PubSub.html#publish/2","title":"PubSub.publish/2","type":"function"},{"doc":"Starts the server.","ref":"PubSub.html#start_link/1","title":"PubSub.start_link/1","type":"function"},{"doc":"Subscribes a process to the given topic.Exampleiex&gt; pid = self() iex&gt; PubSub.subscribe(pid, :my_topic) :ok","ref":"PubSub.html#subscribe/2","title":"PubSub.subscribe/2","type":"function"},{"doc":"Returns a list of pids representing the processes that are currently subscribed to the given topic.Exampleiex&gt; pid = self() iex&gt; PubSub.subscribe(pid, :my_topic) iex&gt; [subscriber] = PubSub.subscribers(:my_topic) iex&gt; subscriber == pid true","ref":"PubSub.html#subscribers/1","title":"PubSub.subscribers/1","type":"function"},{"doc":"Returns a list of the current topics.Exampleiex&gt; pid = self() iex&gt; PubSub.subscribe(pid, :my_topic) iex&gt; PubSub.subscribe(pid, :your_topic) iex&gt; PubSub.topics [:my_topic, :your_topic]","ref":"PubSub.html#topics/0","title":"PubSub.topics/0","type":"function"},{"doc":"Unsubscribes a process from a given topic.Exampleiex&gt; pid = self() iex&gt; PubSub.unsubscribe(pid, :my_topic) :ok","ref":"PubSub.html#unsubscribe/2","title":"PubSub.unsubscribe/2","type":"function"},{"doc":"","ref":"PubSub.html#t:message/0","title":"PubSub.message/0","type":"type"},{"doc":"","ref":"PubSub.html#t:topic/0","title":"PubSub.topic/0","type":"type"},{"doc":"Elixir Publish/SubscribeA Publish/Subscribe utility module that frees your business logic processes from the burden of communication.","ref":"readme.html","title":"Elixir Publish/Subscribe","type":"extras"},{"doc":"Add :pubsub as a dependency to your mix.exs file:defp deps do [ {:pubsub, &quot;~&gt; 1.0&quot;} ] endThen run mix deps.get in your shell to fetch the dependencies.","ref":"readme.html#getting-started","title":"Elixir Publish/Subscribe - Getting Started","type":"extras"},{"doc":"Assuming your client process looks like this:defmodule Client do def start(client_name) do spawn(fn -&gt; loop(client_name) end) end def loop(name) do receive do message -&gt; IO.puts &quot;\#{name} received `\#{message}`&quot; loop(name) end end endWith PubSub you can do this:iex(1)&gt; {topic1, topic2} = {:erlang, :elixir} {:erlang, :elixir} iex(2)&gt; {:ok, pid} = PubSub.start_link() {:ok, #PID&lt;0.99.0&gt;} iex(3)&gt; {pid1, pid2, pid3} = ...(3)&gt; { ...(3)&gt; Client.start(&quot;John&quot;), ...(3)&gt; Client.start(&quot;Nick&quot;), ...(3)&gt; Client.start(&quot;Tim&quot;) ...(3)&gt; } {#PID&lt;0.106.0&gt;, #PID&lt;0.107.0&gt;, #PID&lt;0.108.0&gt;} iex(4)&gt; PubSub.subscribe(pid1, topic1) :ok iex(5)&gt; PubSub.subscribe(pid2, topic1) :ok iex(6)&gt; PubSub.subscribe(pid3, topic2) :ok iex(7)&gt; PubSub.publish(topic1, &quot;\#{topic1} is great!&quot;) &quot;Nick received `erlang is great!`&quot; &quot;John received `erlang is great!`&quot; :ok iex(8)&gt; PubSub.publish(topic2, &quot;\#{topic2} is so cool, dude&quot;) &quot;Tim received `elixir is so cool, dude`&quot; :ok","ref":"readme.html#examples","title":"Elixir Publish/Subscribe - Examples","type":"extras"},{"doc":"https://hexdocs.pm/pubsub/PubSub.html","ref":"readme.html#api-reference","title":"Elixir Publish/Subscribe - API Reference","type":"extras"}]